Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357255 - JSC crash in armv7l
Summary: JSC crash in armv7l
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4
Version: 24
Hardware: armv7l
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5bd38cda3a289654b81acfd92b5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-17 09:12 UTC by Daniel Rindt
Modified: 2017-01-07 13:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-07 13:37:48 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-17 09:12 UTC, Daniel Rindt
no flags Details
File: cgroup (deleted)
2016-07-17 09:12 UTC, Daniel Rindt
no flags Details
File: core_backtrace (deleted)
2016-07-17 09:12 UTC, Daniel Rindt
no flags Details
File: dso_list (deleted)
2016-07-17 09:12 UTC, Daniel Rindt
no flags Details
File: environ (deleted)
2016-07-17 09:12 UTC, Daniel Rindt
no flags Details
File: exploitable (deleted)
2016-07-17 09:12 UTC, Daniel Rindt
no flags Details
File: limits (deleted)
2016-07-17 09:12 UTC, Daniel Rindt
no flags Details
File: maps (deleted)
2016-07-17 09:13 UTC, Daniel Rindt
no flags Details
File: mountinfo (deleted)
2016-07-17 09:13 UTC, Daniel Rindt
no flags Details
File: namespaces (deleted)
2016-07-17 09:13 UTC, Daniel Rindt
no flags Details
File: open_fds (deleted)
2016-07-17 09:13 UTC, Daniel Rindt
no flags Details
File: proc_pid_status (deleted)
2016-07-17 09:13 UTC, Daniel Rindt
no flags Details
File: var_log_messages (deleted)
2016-07-17 09:13 UTC, Daniel Rindt
no flags Details

Description Daniel Rindt 2016-07-17 09:12:40 UTC
Description of problem:
Started the program, it was appearing for a second and then it crashed.

Version-Release number of selected component:
webkitgtk4-2.12.3-1.fc24

Additional info:
reporter:       libreport-2.7.1
backtrace_rating: 3
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 15
crash_function: JSC::parseIndex<unsigned char>
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     1480
kernel:         4.4.15-v7+
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 JSC::parseIndex<unsigned char> at /usr/src/debug/webkitgtk-2.12.3/Source/JavaScriptCore/runtime/Identifier.h:50
 #1 JSC::parseIndex at /usr/src/debug/webkitgtk-2.12.3/Source/JavaScriptCore/runtime/Identifier.h:84
 #3 JSC::JSObject::getPropertySlot at /usr/src/debug/webkitgtk-2.12.3/Source/JavaScriptCore/runtime/JSObject.h:1167
 #4 JSC::JSValue::getPropertySlot at /usr/src/debug/webkitgtk-2.12.3/Source/JavaScriptCore/runtime/JSCJSValueInlines.h:730
 #5 JSC::JSValue::get at /usr/src/debug/webkitgtk-2.12.3/Source/JavaScriptCore/runtime/JSCJSValueInlines.h:714
 #7 slow_path_get_direct_pname at /usr/src/debug/webkitgtk-2.12.3/Source/JavaScriptCore/runtime/CommonSlowPaths.cpp:636
 #8 ??

Comment 1 Daniel Rindt 2016-07-17 09:12:47 UTC
Created attachment 1180712 [details]
File: backtrace

Comment 2 Daniel Rindt 2016-07-17 09:12:49 UTC
Created attachment 1180713 [details]
File: cgroup

Comment 3 Daniel Rindt 2016-07-17 09:12:51 UTC
Created attachment 1180714 [details]
File: core_backtrace

Comment 4 Daniel Rindt 2016-07-17 09:12:53 UTC
Created attachment 1180715 [details]
File: dso_list

Comment 5 Daniel Rindt 2016-07-17 09:12:55 UTC
Created attachment 1180716 [details]
File: environ

Comment 6 Daniel Rindt 2016-07-17 09:12:57 UTC
Created attachment 1180717 [details]
File: exploitable

Comment 7 Daniel Rindt 2016-07-17 09:12:59 UTC
Created attachment 1180718 [details]
File: limits

Comment 8 Daniel Rindt 2016-07-17 09:13:07 UTC
Created attachment 1180719 [details]
File: maps

Comment 9 Daniel Rindt 2016-07-17 09:13:10 UTC
Created attachment 1180720 [details]
File: mountinfo

Comment 10 Daniel Rindt 2016-07-17 09:13:12 UTC
Created attachment 1180721 [details]
File: namespaces

Comment 11 Daniel Rindt 2016-07-17 09:13:15 UTC
Created attachment 1180722 [details]
File: open_fds

Comment 12 Daniel Rindt 2016-07-17 09:13:17 UTC
Created attachment 1180723 [details]
File: proc_pid_status

Comment 13 Daniel Rindt 2016-07-17 09:13:19 UTC
Created attachment 1180724 [details]
File: var_log_messages

Comment 14 Michael Catanzaro 2016-11-18 18:03:30 UTC
Hi, this looks like an armv7l bug. You might want to CC anybody you know who works on Fedora's armv7l support.

Comment 15 Michael Catanzaro 2016-11-18 18:09:00 UTC
(In reply to Michael Catanzaro from comment #14)
> Hi, this looks like an armv7l bug.

To be clear: it looks like a bug in JavaScriptCore's support for armv7l.

Comment 16 Michael Catanzaro 2017-01-07 13:37:48 UTC
Hi, looking through these bugs again. This is an upstream bug, not a Fedora bug, so I don't want to keep it open here forever when it seems nobody is working to make JSC work on this architecture. You could report it upstream on bugzilla.webkit.org.


Note You need to log in before you can comment on or make changes to this bug.